/********************************************************************************
 Author :Customer Applications Center (CAC)
         
 Date : March 2014

 File name : AD5141Test.c

 Description :

 Hardware plateform : ADuCM360 + AD5141	
********************************************************************************/

#include "ADuCM360.h"
#include "ADuCM360Driver.h"

#include <stdio.h>
#include <string.h>

#include "AD5141.h"
#include "spilib.h"
#include "ClkLib.h"
#include "DioLib.h"
#include "WdtLib.h"
#include "I2cLib.h"
#include "UrtLib.h"

int main()
{

	unsigned long RDAC=0x1022;					 //The value of the RDAC
	unsigned long RESET=0xB000;				 	 //Soft RESET
//unsigned long LRDAC=0x6000;    			 //Soft LRDAC
	unsigned long ReadValue=0;
	ADuCM360Initialize();	
	SET_LDAC();
	SET_RESET();
	CLR_SCLK();
	Delay(0x100);                     	// Delay routine

	CLR_RESET();												//Reset the AD5141 by using the external pin
	Delay(0x100);                     	// Delay routine
	SET_RESET();
	Delay(0x100);

	SET_SYNC();  
	Delay(0x100);

	AD5141_WriteToDAC(RESET);
	Delay(0x20);
	AD5141_WriteToDAC(RDAC);            //No need to LRDAC, change the R directly
	Delay(0x20);                        
	AD5141_WriteToDAC(0x3003);          // Read the RDAC and save as ReadValue
	ReadValue=AD5141_ReadDAC();         // Read back contents, doesn't include the control and address
  ReadValue+=0x10;
  AD5141_WriteToDAC(ReadValue);       //Write the ReadValue to RDAC, just for verification the data
	
	Delay(0x100);                       // Delay routine
	CLR_LDAC();					 							  // Updata by using the /LDAC pin, if the Pin pull up to VLOGIC, don't need this order
	Delay(0x100);                       // Delay routine
	SET_LDAC();													// Set P0.5 to /LDAC=1
	Delay(0x100);  
	 
	while (1)
	{
	}
}



