/********************************************************************************
 Author :Customer Applications Center (CAC)
         
 Date : March 2014

 File name : ADuCM360Driver.c

 Description :

 Hardware plateform : ADuCM360 + AD5141	
********************************************************************************/
#include <stdio.h>
#include <string.h>
#include "ADuCM360.h"
#include "ADuCM360Driver.h"

#include "DioLib.h"
#include "ClkLib.h"
#include "WdtLib.h"
#include "RstLib.h"
#include "I2cLib.h"
#include "UrtLib.h"

void Delay (long int length)                                   // Delay Function
{
	while (length >0)
	length--;
}

void ADuCM360Initialize(void)									                 //  Initialising the ADuCM360
{
	WdtCfg(T3CON_PRE_DIV1,T3CON_IRQ_EN,T3CON_PD_DIS);            // Disable Watchdog timer resets
	ClkDis(CLKDIS_DISSPI0CLK|CLKDIS_DISSPI1CLK|CLKDIS_DISI2CCLK|CLKDIS_DISUARTCLK|CLKDIS_DISPWMCLK|CLKDIS_DIST0CLK|CLKDIS_DIST1CLK|CLKDIS_DISDACCLK|CLKDIS_DISDMACLK|CLKDIS_DISADCCLK);
	ClkCfg(CLK_CD0,CLK_HF,CLKSYSDIV_DIV2EN_DIS,CLK_UCLKCG);      // Select CD0 for CPU clock - 16Mhz clock

	pADI_GP1->GPOEN |= 0x7;					  // Enable P1.0,P1.1,P1.2 as an output 
	pADI_GP1->GPPUL |= 0x8;					  // Enable Pull-up on P1.3 to read Fault pin level
	pADI_GP1->GPOEN &= 0xF7;          // Enable P1.3 as an input 
	pADI_GP0->GPOEN |= 0x60;					// Enable P0.5,P0.6 as an output - controls /LDAC pin of AD5141
}

